Get the current workspace admin workspace
curl --request GET \
--url https://api.instantly.ai/api/v2/workspace-group-members/admin \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/workspace-group-members/admin"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/workspace-group-members/admin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://api.instantly.ai/api/v2/workspace-group-members/admin")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/workspace-group-members/admin",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/workspace-group-members/admin"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"workspace_name": "My Workspace",
"has_admin_workspace": true,
"workspace_group_member_id": "01a082d0-8501-75db-b69c-fee423a1b39b"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Workspace Group Member
Get the current workspace admin workspace
Get the details of the admin workspace of the current workspace
GET
/
api
/
v2
/
workspace-group-members
/
admin
Get the current workspace admin workspace
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Default Response
The workspace name of the admin workspace. When the current workspace has no admin workspace, the workspace name will be "Undefined".
Example:
"My Workspace"
Whether the current workspace has an admin workspace
Example:
true
The id of the workspace group member. You can use it to leave the admin workspace by calling the DELETE /workspace-group-members/:id endpoint
Example:
"01a082d0-8501-75db-b69c-fee423a1b39b"